<?php
include_once(dirname(__FILE__) . "/../../../classes/PluginsTransports.class.php");

class Promoportoffert extends PluginsClassiques
{
	const VERSION   = '1.0.1';
	const NOMMODULE = 'Promo port offert';
	const MODULE 	= 'promoportoffert';
	const PREFIXE   = 'ppo_';

	const VAR_CODESPROMO = 'ppo_liste_codes_promo';

	public function __construct()
	{
		parent::__construct(self::MODULE);
	}

	public function init() {
		$this->ajout_desc("Frais de port offerts", "Frais de port offerts", "Offrir les frais de port avec un code promo", 1);

		$liste = new Variable();

		if (! $liste->charger(self::VAR_CODESPROMO)) {
			$liste->nom = self::VAR_CODESPROMO;
			$liste->cache = 1;
			$liste->protege = 1;
			$liste->valeur = '';

			$liste->add();
		}
	}

	public function destroy() {
		$liste = new Variable(self::VAR_CODESPROMO);
		$liste->delete();
	}


	public function aprespromo() {
		$promo = $_SESSION['navig']->promo;

		$arr = $this->lire();

		if (in_array($promo->id, $arr)) {
			$_SESSION['navig']->promo->type = 1;
			$_SESSION['navig']->promo->mini = 0;
			$_SESSION['navig']->promo->valeur = port();
		}
	}

	public function calcule() {
		return 0;
	}

	protected function lire() {
		$str = trim(Variable::lire(self::VAR_CODESPROMO));

		return empty($str) ? array() : explode(';', $str);
	}

	protected function ecrire($arr) {

    	$liste = new Variable();

		if ($liste->charger(self::VAR_CODESPROMO)) {
			$liste->valeur = implode(';', $arr);
			$liste->maj();
		}
	}
}
?>